Summary:       A library for access to RESTful web services
Name:          rest
Version:       0.9.1
Release:       6%{?dist}
License:       LGPLv2
URL:           https://gitlab.gnome.org/GNOME/librest
Source0:       https://download.gnome.org/sources/%{name}/0.9/%{name}-%{version}.tar.xz
Patch3000:     0001-rest_proxy_call_sync-bail-out-if-no-payload.patch
Patch3001:     0002-Handle-some-potential-problems-in-parsing-oauth2-acc.patch
 
BuildRequires: meson
BuildRequires: pkgconfig(glib-2.0) pkgconfig(gio-2.0)
BuildRequires: pkgconfig(gobject-introspection-1.0)
BuildRequires: pkgconfig(libsoup-3.0) pkgconfig(libxml-2.0)
BuildRequires: pkgconfig(json-glib-1.0) pkgconfig(libadwaita-1)
BuildRequires: pkgconfig(gtksourceview-5)
 
%description
This library makes it easier to access web services that claim to be RESTful. It simplifies 
the request by providing a wrapper for libsoup and AIDS in XML parsing by wrapping libxml2.
 
%package devel
Summary: Development package for %{name}
Requires: %{name} = %{version}-%{release}
 
%description devel
This package provides files for development with %{name}.
 
%package demo
Summary: Demo application for %{name}
Requires: %{name} = %{version}-%{release}
 
%description demo
This package provides demo application for %{name}.
 
%prep
%autosetup -p1 -S gendiff
 
%build
%meson -Dgtk_doc=false
%meson_build

%install
%meson_install

%files
%license COPYING
%doc AUTHORS README.md
%{_libdir}/librest-1.0.so.0*
%{_libdir}/librest-extras-1.0.so.0*
%{_libdir}/girepository-1.0/Rest-1.0.typelib
%{_libdir}/girepository-1.0/RestExtras-1.0.typelib
 
%files devel
%{_includedir}/rest-1.0/
%{_libdir}/pkgconfig/rest-1.0.pc
%{_libdir}/pkgconfig/rest-extras-1.0.pc
%{_libdir}/librest-1.0.so
%{_libdir}/librest-extras-1.0.so
%{_datadir}/gir-1.0/Rest-1.0.gir
%{_datadir}/gir-1.0/RestExtras-1.0.gir
 
%files demo
%{_bindir}/librest-demo
%{_datadir}/applications/org.gnome.RestDemo.desktop
 
%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.1-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.1-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.1-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.1-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.9.1-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 6 2022 Wang Guodong <gordonwwang@tencent.com> - 0.9.1-1
- Update to 0.9.1 .

* Thu Dec 1 2022 Wang Guodong <gordonwwang@tencent.com> - 0.8.1-1
- package init.
